@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


:root{
    /* Global Colors */
    --background-color:#1F1F30;
    --background-secondary-color:#F2F3F8;
    --background-tertiary-color:#E9EBF3;
    --primary-color:#000014;
    --primary-hover-color:#00001469;
    --secondary-color:#CA970B;
    --body-color:#515151;
    --body-light-accent:#A39F9F;    
    --white-color:#FFFEFE;
    --border-color:#d9d9d9;
    --red-color:#F93030;
    --green-background-color:#F2FAF5;
    --green-text-color:#45C276;
    --red-background-color:#FFD7D7;
    --red-text-color:#EA4B4B;
    --yellow-background-color:#FFF2DE;
    --yellow-text-color:#A56502;
    --blue-background-color:#C5DFF5;
    --blue-text-color:#005194;
    --button-green-background-color:#92E3A9;
    --details-button-color:#B39CFF;
    --details-button-hover-color:#b39cff7c;
    --progress-button-color:#EA8557;
    --upload-border-color:#C8C7C7;
    --upload-background-color:#FBFBFB;
    --upload-text-color: #535151;  
    --remove-button-color:#b8bbc2;
    --chatbot-background-color:#D1D4E2;
    --chatbot-timestamp-color:#494949;

    /* Font-Family */
    --heading-font:'Roboto', sans-serif;
    --body-font:'Roboto', sans-serif;
    --seondary-font:"DM Sans", sans-serif;
    --tertiary-font:"Source Sans 3", sans-serif;

    /* Font Weight */
    --font-weight-400:400;
    --font-weight-500:500; 
    --font-weiight-600:600; 
    --font-weight-700:700;

    /* font-size */
    /* Heading1 Font Size */
    --h1-xl: 48px;
    --h1-lg: 36px;
    --h1-md: 28px;

    /* Heading2 font size */

    --h2-xl:20px;
    --h2-lg:18px;
    --h2-md:16px;

    /* Heading3 font-size */
    --h3-xl:16px;
    --h3-lg:14px;
    --h3-md:12px;

    /* Heading4 font-size */
    --h4-xl:14px;
    --h4-lg:12px;
    --h4-md:10px;


    /* body font size */
    --text-xl: 24px;
    --text-lg: 20px;
    --text-md: 18px;
    --text-base:16px;
    --text-sm: 14px;
    --text-xs: 12px;
    --text-xxs: 10px;
    
    
    /* line-height */
    --h1-line-height: 54px;
    --h2-line-height: 24px;
    --body-line-height: 20px;
    
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,body{
    height: 100%;
    width: 100%;
    font-family: var(--body-font);
    color: var(--body-color);
    
}

a{
    text-decoration: none;
}

ul{
    padding: 0;
    margin: 0;
    list-style: none;
}

li{
    list-style: none;
}

/* Status Color */
.bg-success-status p,.bg-pending-status p,.bg-progress-status p,.bg-danger-status p{
    margin-bottom: 0;
    font-size: var(--text-sm);
}
.bg-success-status{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--green-text-color);
    background-color: var(--green-background-color);
    border-radius: 6px;
    padding: .125rem;
    margin: 0px auto;
}

.bg-pending-status{
    display: flex;
    justify-content: center;
    align-items: center;    
    color: var(--yellow-text-color);
    background-color: var(--yellow-background-color);
    border-radius: 6px;
    padding: 5px 4px;
    margin: 0px auto;
}
.bg-progress-status{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--blue-text-color);
    background-color: var(--blue-background-color);
    border-radius: 6px;
    padding: 5px 4px;
    margin: 0px auto;
}

.bg-danger-status{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--red-text-color);
    background-color: var(--red-background-color);
    border-radius: 6px;
    padding: 5px 4px;
    margin: 0px auto;
}
/* End of Status Color */
/* Start of admin-login Page */

.admin-login{
    background-color: var(--background-color);

}


.admin-login .form-container{
    height: 100%;
    width: 100%;
    max-width: 635px;
    background-color: var(--white-color);
    border-radius: 64px;
    padding: 5rem 2.5rem;
    border: 1px solid var(--border-color);
    

}

.admin-login .form-container h1{
    font-family: var(--heading-font);
    font-size: var(--h1-xl);
    font-weight: var(--font-weight-700);
    line-height: var(--h1-line-height);
    color: var(--primary-color);
    margin-bottom: 50px;
}

.admin-login .form-container  .input-group {
    background-color: #F8F8F8;
    border: 1px solid var(--border-color);
    border-radius: 8px;
    padding: 1.2rem 1rem;
    color: var(--body-color);
    
}

.admin-login .form-container  .input-group input{
    border: none;
    background-color: transparent;}

.admin-login .form-container img{
    width: 38px;
   
}

.admin-login .form-container .input-group input{
    font-family: var(--body-font);
    font-size: var(--text-xl);
    font-weight: var(--font-weight-500);
    line-height: var(--body-line-height);
    color: var(--body-color);
}

.admin-login .form-container .input-group input::placeholder{
    font-family: var(--body-font);
    font-size: var(--text-xl);
    font-weight: var(--font-weight-500);
    line-height: var(--body-line-height);
    color: var(--body-color);
    
}

.admin-login .form-container .form-control:focus{
    box-shadow: none;
}

#name-input-group:focus-within,#email-input-group:focus-within,#phone-input-group:focus-within,
#company-name-input-group:focus-within,#password-input-group:focus-within,#confirm-password-input-group:focus-within{
    border: 1px solid var(--primary-color);
    
}

.admin-login .form-container .btn{
    background-color: var(--primary-color);
    color: var(--white-color);
    width: 100%;
    margin-top:20px;
    border: 1px solid var(--border-color);
    border-radius: 12px;
    padding: 1.5rem 1rem;
    font-family: var(--body-font);
    font-size: var(--text-xl);
    font-weight: var(--font-weight-500);
    line-height: var(--body-line-height);
    cursor: pointer;
}

.admin-login .form-container .btn:hover{
    background-color: var(--secondary-color);
}

.admin-login .form-container p{
    font-family: var(--body-font);
    font-size: var(--text-md);
    font-weight: var(--font-weight-500);
    line-height: var(--body-line-height);
    color: var(--body-color);
    
}

.admin-login .form-container p a{
    color: var(--secondary-color);
    text-decoration: none;
}

.admin-login .form-container .register-link{
    margin-top: 20px;
}


/* End Of admin-login Page */


/* Sidebar  */


.wrapper{
    display: flex;
    min-height: 100vh;
    width: 100%;
    background-color: var(--background-secondary-color);
}

.sidebar{
    background-color: var(--primary-color);
    padding: 3rem 1.5rem;
    width: 100%;
    max-width: 310px;
    transition: all 0.3s ease;
}



/* sidebar mobile */

.sidebar.mobile{
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
}



.sidebar .sidebar-header{
    margin-bottom: 30px;
}
.sidebar .sidebar-header .sidebar-logo{
    display: flex;
    align-items: center;
    gap: 10px;
    transition: all 0.3s ease;
}
.sidebar .sidebar-toggle{
    background-color: var(--white-color);
    padding: 5px;
    border-radius: 50%;
    border: none;
    margin-right: -45px;
    box-shadow: 0 2px 6px 2px rgba(0,0,0,0.2);
    z-index: 10;
}
.sidebar .sidebar-toggle img{
    width: 35px;
    filter: invert(1);
}

.sidebar .partition{
     width :auto;
     max-width: 350px;
     margin-left:-40px;
     margin-right: -27px; 
     overflow: hidden;
}


.sidebar  hr{
    width: 100vw;
    color: var(--white-color);  
    margin-left: -50px; 
    opacity: 1;
   
}
.sidebar .sidebar-tabs .sidebar-tab{
    margin-top: 15px;
}

.sidebar .sidebar-tabs .sidebar-tab .sidebar-item{
    border-radius: 6px;
}

.sidebar .sidebar-tabs .sidebar-tab .sidebar-link {
    padding: 1rem 0.5rem;
    border-radius: 6px;
    margin-bottom: 10px;
    
}
.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:hover,.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:active,.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:focus{
    background-color: var(--white-color);
    
}

.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:hover span,.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:active span,.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:focus span{
    color: var(--primary-color);
}

.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:hover img,.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:active img,.sidebar .sidebar-tabs .sidebar-tab .sidebar-item:focus img{
    filter: invert(1);
}
.sidebar .sidebar-tabs .sidebar-tab .sidebar-item-active .sidebar-link{
    background-color: var(--white-color) !important;
    border-radius: 6px !important;
}
 
.sidebar .sidebar-tabs .sidebar-tab .sidebar-item-active span{
    color: var(--primary-color) !important;
    font-size: var(--text-md);
    font-weight: var(--font-weight-500);
    line-height: var(--body-line-height);
    color: var(--white-color);
    margin-bottom: 0;
}
 
.sidebar .sidebar-tabs .sidebar-tab .sidebar-item-active img{
    filter: invert(1);
}

.sidebar .sidebar-tabs .sidebar-tab .sidebar-link {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}

.sidebar .sidebar-tabs .sidebar-tab .sidebar-item span{
    font-size: var(--text-md);
    font-weight: var(--font-weight-500);
    line-height: var(--body-line-height);
    color: var(--white-color);
    margin-bottom: 0;
}


.expand{
    width: 100%;
    max-width: 90px;
}

/* End of Sidebar */


/* Main Content Layout */

.main-content{
    width: 100%;
    max-width: calc(100% - 310px);
    padding: 2rem 1.5rem;
    background-color: var(--background-secondary-color);
    transition: all 0.3s ease;
}

.main-content .topbar{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-bottom: 30px;
    background-color: var(--white-color);
    box-shadow: 0px 2px 6px 2px rgba(0, 0, 0, 0.06);
    border-radius: 6px;
    height: 100%;
    min-height: 85px;
    max-height: 90px;
    
}
.main-content .topbar .topbar-content{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 300px;
    background-color: var(--background-secondary-color);
    margin: .5rem 1rem;
    padding: 0.7rem 1rem;
    border-radius: 6px;
    
   
}

.main-content .topbar .topbar-content .profile-partition {
    max-height: 80%;
}

.main-content .topbar .topbar-content .profile-partition .vr{
    background-color: #878DAB;
    
}

.main-content .topbar .notification-button{
   position: relative;
   
}

.main-content .topbar .notification-button .notification-count{
    padding: 3px 7px;
    background-color: var(--red-color);
    color: var(--white-color);
    position: absolute;
    top: -6px;
    left: 13px;
    border-radius: 5rem;
    font-size: 10px;
    
    
}

.main-content .topbar .topbar-content .admin-profile{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.main-content .topbar .topbar-content .admin-profile .admin-name p{
    font-size: var(--text-base);
    font-weight: var(--font-weight-700);
    color: var(--body-color);
    margin-bottom:0;

}

.main-content .topbar .topbar-content .admin-profile .admin-designation p{
    font-size: var(--text-xs);
    font-weight: var(--font-weight-400);
    color: var(--body-color);
    margin-bottom:0;

}

.main-content .topbar .topbar-content .logout .logout-button{
    padding: 0.7rem;
    border-radius:100%;
    background-color: var(--background-color);
}

.main-content .main {
    background-color: var(--white-color);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    box-shadow: 0px 2px 6px 2px rgba(0, 0, 0, 0.06);
    border-radius: 6px;
    height: 100%;
    padding:2rem 1rem;
}
.main-content .main  h1{
    font-size: var(--h2-xl) ;
    color: var(--primary-color);
}
/* End of Main Content Layout */

/* Task Creation */

.task-creation{
    height: 100%;
    max-height: 100%;
    display: flex;
  flex-direction: column;

}

.task-creation h1{
    font-size: var(--h2-xl) ;
    color: var(--primary-color);
}


.task-creation .task-creation-form{
    height: 100%
    
}

.main-content .main .task-listing a{
    background-color: var(--primary-color);
    color: var(--white-color);
    border: 1px solid var(--primary-color);
    padding: 0.8rem 2rem;
    font-size: var(--text-lg);
    font-weight: var(--font-weight-500);
    outline:none;
    border-radius: 6px;
    transition: all 0.3s ease;
    display: flex;
    gap: 10px;

}

.task-creation .task-creation-form .form-label{
    margin-bottom: 2px;
  font-weight: 500;
    
}



.task-creation .task-creation-form .form-actions{
  margin-top: 20px;
  display: flex;
  justify-content: flex-end;
  margin-top: auto;
}


.task-creation .task-creation-form form > .col-12:not(.form-actions),
.task-creation .task-creation-form form  > .col-md-6 {
    flex-shrink: 0;
}


.task-creation .task-creation-form form {
    height: 100%;
    display: flex;
    flex-direction: column;
}


.task-creation .task-creation-form .form-label{
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-600);
    margin-bottom: 10px;
}

.task-creation .task-creation-form input,.task-creation .task-creation-form select,.task-creation .task-creation-form textarea{
    background-color: var(--white-color);
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-400);
    margin-bottom: 10px;
    padding: 15px 10px;
    border-radius: 6px;
    border: 1px solid var(--body-color);


}

.task-creation .task-creation-form input:hover,.task-creation .task-creation-form select:hover,.task-creation .task-creation-form textarea:hover{
    background-color: #FAF9F6;
}

.task-creation .task-creation-form input:active,.task-creation .task-creation-form select:active,.task-creation .task-creation-form textarea:active{
    background-color: #FAF9F6;
}

.task-creation .task-creation-form input:focus,.task-creation .task-creation-form select:focus,.task-creation .task-creation-form textarea:focus{
    background-color: #FAF9F6;
}

.task-creation .task-creation-form input:disabled,.task-creation .task-creation-form select:disabled,.task-creation .task-creation-form textarea:disabled{
    background-color: var(--background-secondary-color);
}



.task-creation .task-creation-form .form-control:focus{
    border: 1px solid var(--body-color) ;
    box-shadow: none;
}

.task-creation .task-creation-form input:placeholder{
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-400);
}
.task-creation .task-creation-form .form-actions{
    display: flex;
    gap: 20px;
}

.task-creation .task-creation-form .form-actions .action-button{
    background-color: var(--primary-color);
    padding: 0.8rem 5rem;
    color: var(--white-color);
    border: 1px solid var(--primary-color);
    font-size: var(--text-lg);
    font-weight: var(--font-weight-500);
    outline:none;
    border-radius: 6px;
    transition: all 0.3s ease;

}

.task-creation .task-creation-form .form-actions .action-button:hover{
    background-color: transparent;
    color:var(--primary-color);
    border: 1px solid var(--primary-color);

}

.task-creation .task-creation-form .form-actions .action-button:active{
    background-color: transparent;
    border: 1px solid var(--primary-color);
    color:var(--primary-color)
}



.task-creation .task-creation-form .form-actions .cancel-button{
    background-color: var(--background-secondary-color);
    padding: 0.8rem 5rem;
    color: var(--primary-color);
    border: 1px solid var(--background-secondary-color);
    font-weight: var(--font-weight-500);
    font-size: var(--text-lg);
    outline:none;
    text-align: center;
    border-radius: 6px;
    transition: all 0.3s ease;
    box-shadow: 0px 4px 4px 0 rgba(0,0,0,0.08);

}

.task-creation .task-creation-form .form-actions .cancel-button:hover{
    background-color: var(--primary-color);
    color:var(--white-color);
    border: 1px solid var(--primary-color);

}

.task-creation .task-creation-form .form-actions .cancel-button:active{
    background-color: var(--primary-color);
    color:var(--white-color);
    border: 1px solid var(--primary-color);
}

/* End of Task Creation */

/* Task Listing */

.task-listing .table-listing .table-responsive{
    border-radius: 6px;
    max-height: 500px;
   
}

.task-listing .table-listing .table{
    margin-bottom: 0px;
    background-color: #E2E4EE ;
    --bs-table-bg :none;
    border: none;
    border-style: none;
    overflow-x: scroll;
}
.task-listing .table-listing .table thead{
    position:sticky;
    top: 0;
}

.task-listing .table-listing .table thead tr{
    background-color: var(--background-tertiary-color);
}


.task-listing .table-listing .table tr th,.task-listing .table-listing .table tr td{
    padding: 15px;
    border: none;
    border-style: none; 
}

.task-listing .table-listing .table-striped>tbody>tr:nth-of-type(odd)>* {
    --bs-table-bg-type :var(--background-secondary-color);
}

.task-listing .table-listing .table-striped>tbody>tr:nth-of-type(even)>* {
    background: var(--background-tertiary-color);
}

.task-listing .table-listing .table thead tr th{
    color:var(--primary-color);
    font-size: var(--text-base);
    font-weight: var(--font-weight-600);
}

.task-listing .table-listing .table tbody tr td{
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-400);
}

.task-listing .table-listing .table tbody tr td:nth-last-child(2) div p{
    margin-bottom:0;
}
.task-listing .table-listing .table tbody tr .actions{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    /* width: 100%; */
    gap: 20px;

}

.task-listing .table-listing .table tbody tr .actions select{
     width: auto;
    background-color: var(--white-color);
    border: 1px solid var(--border-color);
    color: var(--body-color);
    font-size: var(--text-base);
    font-weight: var(--font-weight-500);
    padding: 0.5rem 2rem 0.5rem 1rem;
    border-radius: 6px;
}

.task-listing .table-listing .table tbody tr .actions .view-button{
    background-color: var(--button-green-background-color);
    border: none;
    padding: 0.5rem 2rem;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.task-listing .table-listing .table tbody tr .actions .view-button p{
    margin-bottom: 0;
    color: var(--primary-color);
    font-size: var(--text-base);
    font-weight: var(--font-weight-500);
}


/* End of Task Listing */



/* Task Lising - Tabular Desgin */

.tabulator-cell {
    white-space: nowrap;
}
.task-listing-wrapper .row .col-12 .card{
    --bs-card-border-width :none;

}

.task-listing-wrapper .row .card-header{
    background-color: transparent;
}

.task-listing-wrapper .row .col-12 .card .card-header h1{
    font-size: var(--h2-xl) ;
    color: var(--primary-color);
}

.task-listing-wrapper .row .col-12 .card .card-header a{
    background-color: var(--primary-color);
    color: var(--white-color);
    border: 1px solid var(--primary-color);
    padding: 0.8rem 2rem;
    font-size: var(--text-lg);
    font-weight: var(--font-weight-500);
    outline:none;
    border-radius: 6px;
    transition: all 0.3s ease;
    display: flex;
    gap: 10px;
}
.table-new .tabulator .tabulator-header {
    position: sticky;
    top: 0;
}
.table-new .tabulator .tabulator-header .tabulator-header-contents {
    border-radius: 6px 6px 0px 0px;
}

.table-new .tabulator .tabulator-header .tabulator-header-contents .tabulator-headers .tabulator-col .tabulator-col-content{
    background-color: var(--background-tertiary-color);
    padding: 15px 25px 15px 15px;

}

.tabulator-col.tabulator-sortable.tabulator-col-sorter-element:nth-child(1){
    position: fixed;
    left: 0;
    z-index: 99;
    border-right: 1px solid #5151512f;
}
.tabulator-row .tabulator-cell:nth-child(1){
    position: fixed;
    left: 0;
    z-index: 99;
    border-right: 1px solid #5151512f;
}


.tabulator-col.tabulator-sortable.tabulator-col-sorter-element{
    min-width: 100px ;
}

.tabulator-row .tabulator-cell{
    min-width: 100px;
   
}
.table-responsive .tabulator-headers,
.table-responsive .tabulator-row.tabulator-selectable {
    padding-left: 101px;
}





 .card-body .table-main-wraper {
        overflow-x: auto;
        width: 100%;
    }
.tabulator-header,.tabulator-tableholder{min-width: 1200px; width: 100%;}
.tabulator-placeholder-contents{overflow:hidden}

/* .table-new .tabulator .tabulator-header .tabulator-header-contents .tabulator-headers .tabulator-col{
    min-width: max-content !important;
} */
 .table-new .tabulator .tabulator-header .tabulator-header-contents .tabulator-col-resize-handle{
	background-color:var(--background-tertiary-color)
}


.table-new .tabulator .tabulator-tableholder .tabulator-row-odd .tabulator-col-resize-handle{
    background-color: var(--background-secondary-color);
}
 
.table-new .tabulator .tabulator-tableholder .tabulator-odd-even .tabulator-col-resize-handle{
    background-color: var(--background-tertiary-color);
}

.table-new .tabulator .tabulator-tableholder .tabulator-row {
    border: none;
    border-style: none;
    
}
.table-new .tabulator .tabulator-tableholder{
    border-radius: 0px 0px 6px 6px;
    overflow: hidden;
}

.table-new .tabulator .tabulator-tableholder .tabulator-row .tabulator-cell{
    color: var(--body-color);
    font-size: var(--text-sm);
    /* padding:20px; */
    place-content:center;
    

}

/* .table-new .tabulator .tabulator-tableholder .tabulator-row .tabulator-cell[tabulator-field="status"]{
    width: fit-content !important;
} */


.table-new .tabulator .tabulator-tableholder .tabulator-row .tabulator-cell select{
    margin: 0 auto 0 0 !important;
    
}

.table-new .tabulator .tabulator-tableholder .tabulator-row .tabulator-cell a[data-action="delete"]{
    color: var(--red-text-color) !important;
}

.table-new .tabulator .tabulator-tableholder .tabulator-row .tabulator-cell a[data-action="edit"]{
    color: var(--blue-text-color) !important;
}

.table-new .tabulator .tabulator-tableholder .tabulator-row .tabulator-cell a[data-action="view"]{
    color: var(--green-text-color) !important;
}


/* span.tabulator-col-resize-handle{
    display: none !important;
} */
.table-new .tabulator .tabulator-tableholder  .tabulator-row-odd .tabulator-cell{
    background-color:var(--background-secondary-color);

}

.table-new .tabulator .tabulator-footer{
    border: none;
}

.table-new .tabulator .tabulator-tableholder  .tabulator-row-even .tabulator-cell{
    background-color:var(--background-tertiary-color);

}

.table-new .tabulator .tabulator-footer .tabulator-page:first-of-type{
    background-color: var(--background-secondary-color);
}
.table-new .tabulator .tabulator-footer .tabulator-page.active{
    color: var(--secondary-color) ;
    font-weight: var(--font-weight-600);
}

/* icon size */

.tabulator .tabulator-tableholder [data-action="toggle"] i{
    font-size: 23px;
}
.tabulator .tabulator-tableholder i{
    font-size: 21px;
}


/* end of icon size */

/* popup backdrop change */
.modal-backdrop {
  background-color: var(--primary-color);  ;
  opacity: .88 !important;
  transition: all 0.1s ease !important;
}

.modal .modal-header .btn-close {
  background-color: transparent !important;
  border:none !important;
}



/* End of popup backdrop change */
.task-listing .modal{
    border: none;
    background-color: transparent;
    padding: 0;
}
.task-listing .modal .modal-content{
    border: none;
    background-color: transparent;
    padding: 0;
    border-radius: 12px;
    overflow: hidden;
}
.task-listing .modal .modal-header{
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
    background-color: var(--primary-color);
}

.task-listing .modal .modal-header .btn-close{
        filter: invert(1);
}
.task-listing .modal .modal-body{
    padding: 0rem;
}

.task-listing .modal .modal-body p{
    padding: 1rem;
    margin-bottom: 0px;
}
.task-listing .modal .modal-body p:first-child{
    padding-top:1.5rem

}
.task-listing .modal .modal-body p:last-child{
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;

}
.task-listing .modal .modal-body p:nth-of-type(odd){
    background-color: var(--background-secondary-color);
}

.task-listing .modal .modal-body p:nth-of-type(even){
    background-color: var(--background-tertiary-color);
    
}

.task-listing .modal h2{
    font-size: var(--h2-lg);
    line-height: var(--h2-line-height);
    margin-bottom: 0;
    color: var(--white-color);
}

.task-listing .modal p{
    font-size: var(--text-base);
    line-height: var(--body-line-height);
    color: var(--body-color);
}



/* End of Task Lising - Tabular Desgin */

/* Messageing */

.chat-wrapper {
    background: var(--chatbot-background-color);
    border-radius: 10px;
    overflow: hidden;
}

.chat-wrapper p{
    margin-bottom: 0px;
}

/* Header */

.chat-header {
    background:  var(--background-secondary-color);
    padding: 15px 20px;
    border-bottom: 1px solid var(--background-secondary-color);
}

/* Chat area */

.chat-body {
    height: calc(100vh - 400px);
    overflow-y: auto;
    padding: 25px;
}

.day{
    font-family: var(--tertiary-font);
    color: var(--chatbot-timestamp-color);
    font-size: var(--text-sm);

}

/* Chat bubble */

.chat-bubble-left {
    max-width: 350px;
    padding: 10px 14px;
    border-radius: 0px 8px 8px 8px;
    font-size: var(--text-sm);
    box-shadow: 0px 0px 4px 0px rgba(0, 0,0, 0.08);
}

.chat-bubble-right {
    max-width: 350px;
    padding: 10px 14px;
    border-radius: 8px 8px 8px 0px;
    font-size: var(--text-sm);
    box-shadow: 0px 0px 4px 0px rgba(0, 0,0, 0.08);
    width: fit-content;
    margin: 0 0 0 auto;


}

.chat-bubble-left p,.chat-bubble-left strong{word-break: break-all;}

.chat-bubble-right p{
    text-align: left;
    word-break: break-all;
}

.chat-right-container{
    display: flex;
    flex-direction: column;
    width: fit-content;
    justify-content: flex-end;
}

/* Left bubble */

.chat-left {
    background: var(--white-color);
}

/* Right bubble */

.chat-right {
    background: var(--primary-color);
    color: var(--white-color);
}

/* Timestamp */

.chat-time {
    font-size: var(--text-sm);
    color: var(--body-color);
    margin-top: 4px;
}

/* Footer */

.chat-footer {
    background: var(--chatbot-background-color);
    padding: 12px;
}

.chat-input {
    border: none;
    border-radius: 6px;
    padding: 10px;
    width: 100%;
}

.chat-input:focus {
    outline: none;
    box-shadow: none;
}

.send-btn {
    background: var(--primary-color);
    color: var(--white-color);
    border: none;
    padding: 8px 18px;
    border-radius: 6px;
}

.user-name {
    font-size: var(--text-lg);
    color: var(--primary-color);
    font-weight: var(--font-weight-700);
}

.user-status {
    font-size: var(--text-sm);
    color: var(--body-color);
    font-weight: var(--font-weight-400);
}

.tabulator-cell a[data-action="message"]{
     background-color: var(--primary-color);
    padding: 0.2rem 2rem;
    color: var(--white-color);
    border: 1px solid var(--primary-color);
    font-size: var(--text-base);
    font-weight: var(--font-weight-500);
    outline:none;
    border-radius: 6px;
    transition: all 0.3s ease;
    color: var(--white-color) !important;
}

.tabulator-cell a[data-action="message"]:hover{
     background-color: var(--primary-hover-color);
        
    }

/* End of Message */

/* Add Service Form */

.add-service h1{
    font-size: var(--h2-xl) ;
    color: var(--primary-color);
}

.add-service{
    height: 100%;
    max-height: 100%;
    display: flex;
  flex-direction: column;

}


.add-service .add-service-form{
    height: 100%
    
}

/* .add-service button{
    background-color: var(--primary-color);
    color: var(--white-color);
    border: 1px solid var(--primary-color);
    padding: 0.8rem 2rem;
    font-size: var(--text-lg);
    font-weight: var(--font-weight-500);
    outline:none;
    border-radius: 6px;
    transition: all 0.3s ease;
    display: flex;
    gap: 10px;

} */

.add-service .add-service-form .form-label{
    margin-bottom: 2px !important;
  font-weight: 500;
    
}



.add-service .add-service-form .form-actions{
  margin-top: 20px;
  display: flex;
  justify-content: flex-end;
  margin-top: auto;
}


.add-service .add-service-form form > .col-12:not(.form-actions),
.add-service .add-service-form form  > .col-md-6 {
    flex-shrink: 0;
}


.add-service .add-service-form form {
    height: 100%;
    display: flex;
    flex-direction: column;
}


.add-service .add-service-form .form-label{
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-600);
    margin-bottom: 10px;
}

.add-service .add-service-form .input-field,.add-service .add-service-form select,.add-service .add-service-form textarea{
    background-color: var(--white-color);
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-400);
    margin-bottom: 10px;
    padding: 15px 10px;
    border-radius: 6px;
    border: 1px solid var(--body-color);


}

.add-service .add-service-form .input-field:hover,.add-service .add-service-form select:hover,.add-service .add-service-form textarea:hover{
    background-color: #FAF9F6;
}

.add-service .add-service-form .input-field:active,.add-service .add-service-form select:active,.add-service .add-service-form textarea:active{
    background-color: #FAF9F6;
}

.add-service .add-service-form .input-field:focus,.add-service .add-service-form select:focus,.add-service .add-service-form textarea:focus{
    background-color: #FAF9F6;
}

.add-service .add-service-form .input-field:disabled,.add-service .add-service-form select:disabled,.add-service .add-service-form textarea:disabled{
    background-color: var(--background-secondary-color);
}



.add-service .add-service-form .form-control:focus{
    border: 1px solid var(--body-color) ;
    box-shadow: none;
}

.add-service .add-service-form .input-field:placeholder{
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-400);
}
.add-service .add-service-form .form-actions{
    display: flex;
    gap: 20px;
}

.add-service .add-service-form .form-actions .action-button{
    background-color: var(--primary-color);
    padding: 0.8rem 5rem;
    color: var(--white-color);
    border: 1px solid var(--primary-color);
    font-size: var(--text-lg);
    font-weight: var(--font-weight-500);
    outline:none;
    text-align: center;
    border-radius: 6px;
    transition: all 0.3s ease;

}

.add-service .add-service-form .form-actions .action-button:hover{
    background-color: transparent;
    color:var(--primary-color);
    border: 1px solid var(--primary-color);

}

.add-service .add-service-form .form-actions .action-button:active{
    background-color: transparent;
    border: 1px solid var(--primary-color);
    color:var(--primary-color)
}

.add-service .add-service-form .form-actions .cancel-button{
    background-color: var(--background-secondary-color);
    padding: 0.8rem 5rem;
    color: var(--primary-color);
    border: 1px solid var(--background-secondary-color);
    font-weight: var(--font-weight-500);
    font-size: var(--text-lg);
    outline:none;
    text-align: center;
    border-radius: 6px;
    transition: all 0.3s ease;
    box-shadow: 0px 4px 4px 0 rgba(0,0,0,0.08);

}

.add-service .add-service-form .form-actions .cancel-button:hover{
    background-color: var(--primary-color);
    color:var(--white-color);
    border: 1px solid var(--primary-color);

}

.add-service .add-service-form .form-actions .cancel-button:active{
    background-color: var(--primary-color);
    color:var(--white-color);
    border: 1px solid var(--primary-color);
}

.add-service .add-service-form .field-add-button {
    display: flex;
    align-items: center;
    border:none;
    background-color: transparent;

}


.add-service .add-service-form .field-add-button:hover,.add-service .add-service-form .field-add-button:active,.add-service .add-service-form .field-add-button:focus{
    background-color: var(--primary-color);
    border-radius: 100%;
}

.add-service .add-service-form .field-add-button:hover img,.add-service .add-service-form .field-add-button:active img,.add-service .add-service-form .field-add-button:focus img{
    filter: invert(1);
}

/* Add Listing */

/* Toogle Switch */

.switch { position: relative; display: inline-block; width: 52px; height: 28px; }
.switch input { opacity: 0; width: 0; height: 0; }
 
.slider {
  position: absolute; cursor: pointer; inset: 0;
  border-radius: 28px;
  background: #dc3545; /* red when OFF */
  transition: background 0.25s;
}
.slider::before {
  content: "";
  position: absolute;
  width: 22px; height: 22px;
  left: 3px; bottom: 3px;
  border-radius: 50%; background: white;
  transition: transform 0.25s;
}
 
/* Green when ON */
input:checked + .slider { background: #198754; }
input:checked + .slider::before { transform: translateX(24px); }

/* End of Add listing */


/* End of Add Service Form */

/* Staff Creation */

select#service_id{
    min-height: 50px !important;
    overflow-y: hidden;
}
select#service_id.form-select{height: 27px;}

.select2-container--focus .select2-selection{
    background-color: #FAF9F6 !important;
}

.select2-results__options--nested li:first-child .sub-check-box input{
    margin-left: 0px;
}

.select2-results__options--nested li .sub-check-box input{
    margin-left: 8px;
    margin-right: 0px !important;
    
}

.select2-selection{
    background-color: var(--white-color) !important;
    color: var(--body-color) !important;
    font-size: var(--text-sm) !important;
    font-weight: var(--font-weight-400) !important;
    margin-bottom: 10px !important;
    padding: 10px 10px !important;
    border-radius: 6px !important;
    border: 1px solid var(--body-color) !important;

}
.select2-selection::before{
    content: '';
    background-image: url('/images/dropdown-icon.svg');
    width: 12px;
    height: 24px;
    position: absolute;
    right:10px; top:14px; width:20px; cursor:pointer;
    background-repeat: no-repeat;
    background-position: center;
    padding: 10px;
   

}



.select2-container .select2-selection--single {
    height: auto !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice{
    padding: 5px 20px;
    margin: 4px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
    padding: 6px;
}
.select2-selection__choice__display .sub-check-box input {
    margin-bottom: 0px;
}

.select2-selection__choice__display .sub-check-box{
    margin-left: 5px;
}

.select2-selection:hover,.select2-selection:active,.select2-selection:focus,.select2-selection.selected{
    background-color: #FAF9F6 !important;
}

.task-creation-form small{
    font-size: 12px;
    margin: 3px 0px;
}
/* End of Staff Creation */
 
/* Tooltip */
.tooltip-wrapper {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

/* Tooltip text */
.tooltip-wrapper::after {
    content: attr(data-tooltip);
    position: absolute;
    bottom: -10px; /* above the element */
    left: 150%;
    transform: translateX(-40%);
    
    background: #000014;
    color: #fff;
    font-size: 12px;
    padding: 2px 5px;
    border-radius: 6px;
    white-space: nowrap;

    opacity: 0;
    pointer-events: none;
    transition: all 0.2s ease;

    z-index: 1000;
}

/* Arrow */
.tooltip-wrapper::before {
    content: "";
    position: absolute;
    bottom: -10px;
    left: 150%;
    transform: translateX(-50%);
    
    border-width: 5px;
    border-style: solid;
    border-color: #000014 transparent transparent transparent;

    opacity: 0;
    transition: all 0.2s ease;
}

/* Show on hover */
.tooltip-wrapper:hover::after,
.tooltip-wrapper:hover::before {
    opacity: 1;
}

/* End of Tooltip */


/* Service Lisitng */

#service-table .add-button{
    background-color: var(--primary-color);
    border: none;
    padding: 0.5rem 2rem;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-wrap: nowrap;
    max-width: 120px;
    margin-bottom: 0;
    color: var(--white-color) !important;
    font-size: var(--text-base);
    font-weight: var(--font-weight-500);
    transition: all 0.3s ease;
    margin: auto;

}

#service-table .add-button img{
    filter: invert(1);
}

#service-table .add-button:hover,#service-table .add-button:focus,#service-table .add-button:active{
    background-color: transparent;
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}

#service-table .add-button:hover img,#service-table .add-button:focus img,#service-table .add-button:active img{
    filter: none;
}


#service-table .add-button:hover span,#service-table .add-button:focus span,#service-table .add-button:active span{
    color: var(--primary-color);
}

/* End of Service Listing */

/* Service Listing Modal */
.service-tasks-modal{
    border: none;
    background-color: transparent;
    padding: 0;
    --bs-modal-width:800px ;
    padding: 1.5rem 1rem;
  
   
}

.service-tasks-modal #document-wrapper{
    max-height: 500px;
    overflow-y: auto;
    overflow-x: hidden;
}

.service-tasks-modal .modal-header .modal-header-content{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 15px;
    width: 100%;
}

.service-tasks-modal .modal-header img{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    border-radius: 100%;
    background-color: var(--primary-color);
}



.service-tasks-modal .modal-header{
    background-color: var(--background-secondary-color);
    padding: 1rem 1rem;

}

.service-tasks-modal .modal-header h2{
    font-size: var(--h2-xl);
    line-height: var(--h2-line-height);
    margin-bottom: 0;
    color: var(--primary-color);
}


.service-tasks-modal .modal-body{
    padding: 1.5rem 1rem;
    text-align: center;
    
}


.service-tasks-modal label{
    color: var(--body-color);
    font-size: var(--text-sm);
}


.service-tasks-modal input{
   background-color: var(--white-color);
    color: var(--body-color);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-400);
    margin-bottom: 10px;
    padding: 15px 10px;
    border-radius: 6px;
    border: 1px solid var(--body-color); 
}

.service-tasks-modal .field-add-button{
      display: flex;
    align-items: center;
    border: none;
    background-color: transparent;
}
.service-tasks-modal .field-add-button{border-radius: 100%;}
.service-tasks-modal .field-add-button:hover{
    background-color: var(--primary-color);
}




.service-tasks-modal .field-add-button:hover img{
    filter: invert(1);
}

.service-tasks-modal .form-actions{
    display: flex;
    justify-content: end;
}
.service-tasks-modal .action-button{
     background-color: var(--primary-color);
    border: none;
    padding: 0.5rem 2rem;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-wrap: nowrap;
    max-width: 220px;
    margin-bottom: 0;
    color: var(--white-color) !important;
    font-size: var(--text-base);
    font-weight: var(--font-weight-500);
    transition: all 0.3s ease;
}


.service-tasks-modal .action-button:hover,.service-tasks-modal .action-button:focus,.service-tasks-modal .action-button:active{
    background-color: transparent;
    border: 1px solid var(--primary-color);
    color: var(--primary-color) !important;
}

.service-tasks-modal .action-button:hover img,.service-tasks-modal .action-button:focus img,.service-tasks-modal .action-button:active img{
    filter: none;
}


.service-tasks-modal #document-wrapper::-webkit-scrollbar {
  scrollbar-width: thin;
  height: 8px;
 
}

.service-tasks-modal #document-wrapper::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 50px;
}

.service-tasks-modal #document-wrapper::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 50px;
  border: 1px solid #f1f1f1;
}

.service-tasks-modal #document-wrapper::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

/* End of Service Listing Modal  */

/* Service Add  */

.add-service .add-service-heading-section{
    display: flex;
    justify-content: space-between;
}

.add-service .sub-heading-section{
    display: flex;
    align-items: center;
    padding: 0 20px;
}

.add-service .sub-heading-section p{
    margin-bottom: 0;
    word-break: break-all;
}


/* End of Service Add  */


/* Start of admin-login Page - Media Queries */

@media (min-width:576px) and (max-width: 1360px) {
    .admin-login .form-container{
        max-width: 635px;
    }
    .admin-login .form-container{
        padding: 3rem 1.5rem;
    }
    .admin-login .form-container h1{
        font-size: var(--h1-md);
        line-height: var(--h1-line-height);
        margin-bottom: 25px;
    }
    .admin-login .form-container .input-group input{
        font-size: var(--text-md);
    }
    .admin-login .form-container .input-group input::placeholder{
        font-size: var(--text-md);
    }
    .admin-login .form-container .input-group{
        padding: 1rem 0.8rem;
    }
    
    
}

@media screen and (max-width: 575px) { 
    .admin-login .form-container{
        max-width: 100%;
        padding: 1.2rem 0.8rem;
    }
    .admin-login .form-container .input-group input,.admin-login .form-container .input-group input::placeholder{
        font-size: var(--text-md);
    }
    .admin-login .form-container h1{
        font-size: var(--h1-md);
        line-height: var(--h1-line-height);
        margin-bottom: 20px;
        border-radius: 20px;
    }

 }

 /* End of admin-login Page  - Media Queries*/

 /* Side and Main Content - Media Queries */
 
 
 @media (max-width: 992px) {
    .wrapper{
        display: flex;
        justify-content: flex-end;
    }
  .main-content {
    display: flex;
    justify-content: end;
    margin-left: 0 ;
    padding-left: 0 ;
    width: 100% ;
    max-width: calc(100% - 110px) !important; 
  }


}

/* End of Sidebar and Main-Content - Media Queries */



 /* Start of Task Creation -- Media Queries */

 @media (min-width:576px) and (max-width: 768px){
    .task-creation .task-creation-form .form-actions{
        justify-content: center;
        margin-top: 15px;
    }
 }


 @media screen and (max-width:576px) {

    .task-creation .task-creation-form .form-actions{
        flex-direction: column-reverse;
    }
    
 }

 /* End of Task Creation - Media Queries */

 /* Task Listing - Tabular Design : Media Quries */


 @media screen and (max-width: 1339px){

    /* .table-new .tabulator-paginator{
        text-align: start !important;
    } */
     .card-body .table-main-wraper {
        overflow-x: auto;
        width: 100%;
    }
    .tabulator-header,
    .tabulator-tableholder{min-width: 1600px;}

 }

  /* end - Tabular Design : Media Quries */

   /* Service Apply Forms - Media Queries */

 @media (min-width:576px) and (max-width: 768px){
    .add-service .add-service-form .form-actions{
        justify-content: center;
        margin-top: 15px;
    }
 }


 @media screen and (max-width:576px) {

    .add-service .add-service-form .form-actions{
        flex-direction: column-reverse;
        margin-top: 10px;
    }
    
 }

/* End of Service Apply Forms - Media Queries */




 